//Initialisation de l'écran
void tft_init()
{
  tft.init();
  tft.setRotation(0);
  tft.fillScreen(TFT_BLACK);
  tft.setTextSize(2);
  tft.setTextColor(TFT_RED);
  tft.setCursor(0, 0);
  tft.setTextDatum(MC_DATUM);
  tft.println("Hello World\n");
}

//Simulation de la souris à l'écran à partir de la trame data
void tft_mouse(void* data_, size_t len)
{
  static int vx = 0;
  static int vy = 0;

  int old_vx = vx;
  int old_vy = vy;

  char temp[20] = "";
  
  strncpy(temp, (char *)data_, len);
  temp[len] = 0;
  sscanf(temp, "%d %d", &vx, &vy);

  if(old_vx != vx || old_vy != vy)
  {
    sprintf(temp, "%d %d %d %d", old_vx, old_vy, vx, vy);
    tft.fillRect(old_vx, old_vy, 3, 3, 0x000070);
    tft.fillRect(vx, vy, 3, 3, TFT_GREEN);
  }
}

//Affichage de l'IP sur l'écran
void tft_show_ip(IPAddress data_)
{
  tft.setTextSize(2);
  tft.setTextColor(TFT_RED);
  tft.setCursor(0, 16);
  tft.println(data_);
}

//Affichage de l'IP sur l'écran
void tft_echec_connexion()
{
  tft.setTextSize(2);
  tft.setTextColor(TFT_RED);
  tft.setCursor(0, 16);
  tft.println("echec de connexion au WiFi");
}
